# VectorNav C++ Library: vn::sensors::GpsSolutionEcefRegister Struct Reference

vn::sensors::GpsSolutionEcefRegister Struct Reference
Register Structures

Structure representing the GPS Solution - ECEF register. More...

`#include <registers.h>`

## Public Member Functions

| GpsSolutionEcefRegister (double towIn, uint16_t weekIn, protocol::uart::GpsFix gpsFixIn, uint8_t numSatsIn, vn::math::vec3d positionIn, vn::math::vec3f velocityIn, vn::math::vec3f posAccIn, float speedAccIn, float timeAccIn)
| Creates an initializes a new GpsSolutionEcefRegister structure. More...

## Public Attributes

double | tow
| The tow field.
uint16_t | week
| The week field.
protocol::uart::GpsFix | gpsFix
| The gpsFix field.
uint8_t | numSats
| The numSats field.
vn::math::vec3d | position
| The position field.
vn::math::vec3f | velocity
| The velocity field.
vn::math::vec3f | posAcc
| The posAcc field.
float | speedAcc
| The speedAcc field.
float | timeAcc
| The timeAcc field.

## Detailed Description

Structure representing the GPS Solution - ECEF register.

## Constructor & Destructor Documentation

vn::sensors::GpsSolutionEcefRegister::GpsSolutionEcefRegister | ( | double | towIn,
|  | uint16_t | weekIn,
|  | protocol::uart::GpsFix | gpsFixIn,
|  | uint8_t | numSatsIn,
|  | vn::math::vec3d | positionIn,
|  | vn::math::vec3f | velocityIn,
|  | vn::math::vec3f | posAccIn,
|  | float | speedAccIn,
|  | float | timeAccIn
| ) |  |

inline

Creates an initializes a new GpsSolutionEcefRegister structure.

Parameters

  [in] | towIn | Value to initialize the tow field with.
  [in] | weekIn | Value to initialize the week field with.
  [in] | gpsFixIn | Value to initialize the gpsFix field with.
  [in] | numSatsIn | Value to initialize the numSats field with.
  [in] | positionIn | Value to initialize the position field with.
  [in] | velocityIn | Value to initialize the velocity field with.
  [in] | posAccIn | Value to initialize the posAcc field with.
  [in] | speedAccIn | Value to initialize the speedAcc field with.
  [in] | timeAccIn | Value to initialize the timeAcc field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h